### Method

# CM Client get_pushers_async

since: 0.0.1

#### Declaration [src]

    void
    cm_client_get_pushers_async (
      CmClient* self,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Get the currently configured push servers.

This is a asynchronous method. See `cm_client_get_pushers_sync()` for an synchronous version.

Available since: 0.0.1

This method completes asynchronously. Use `cm_client_get_pushers_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The user data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.